- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Ecore_IMF_Event_Key_Up Struct Reference
Ecore Input Method Context Functions

## Data Fields
const char * | keyname
| The string name of the key pressed.
Ecore_IMF_Keyboard_Modifiers | modifiers
| The keyboard modifiers active when the event has been emitted.
Ecore_IMF_Keyboard_Locks | locks
| The keyboard locks active when the event has been emitted.
const char * | key
| The logical key : (eg shift+1 == exclamation)
const char * | string
| A UTF8 string if this keystroke has produced a visible string to be ADDED.
const char * | compose
| A UTF8 string if this keystroke has modified a string in the middle of being composed - this string replaces the previous one.
unsigned int | timestamp
| The timestamp when the event occurred.